org.eclipse.ecf.core.util

## Class PlatformHelper

- java.lang.Object
- - org.eclipse.ecf.core.util.PlatformHelper

    public class PlatformHelper
    extends Object

Helper class for eliminating direct references to Platform static methods getAdapterManager and getExtensionRegistry. Note that instead of Platform.getAdapterManager(), clients can call PlatformHelper.getAdapterManager(). If this returns null, the Platform class is not available.

### Constructor Summary

Constructors
Constructor and Description
`PlatformHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.core.runtime.IExtensionRegistry` `getExtensionRegistry()`
`static org.eclipse.core.runtime.IAdapterManager` `getPlatformAdapterManager()`
`static boolean` `isPlatformAvailable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformHelper

    public PlatformHelper()

### Method Detail

#### isPlatformAvailable

    public static boolean isPlatformAvailable()

#### getPlatformAdapterManager

    public static org.eclipse.core.runtime.IAdapterManager getPlatformAdapterManager()

#### getExtensionRegistry

    public static org.eclipse.core.runtime.IExtensionRegistry getExtensionRegistry()